Summary:	chmlib - library designed for accessing MS ITSS files
Summary(pl.UTF-8):	chmlib - biblioteka pozwalająca na dostęp do plików MS ITSS
Name:		chmlib
Version:	0.40
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://www.jedrea.com/chmlib/%{name}-%{version}.tar.gz
# Source0-md5:	96b8e9ac52015902941862171f5daa4c
Patch0:		%{name}-morearchs.patch
URL:		http://www.jedrea.com/chmlib/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
chmlib is a small library designed for accessing MS ITSS files. The
ITSS file format is used for Microsoft HTML Help files (.chm), which
have been the predominant medium for software documentation from
Microsoft during the past several years, having superceded the
previously used .hlp file format.

%description -l pl.UTF-8
chmlib to niewielka biblioteka przeznaczona do odczytu plików MS ITSS.
Format ITSS jest używany w plikach Microsoft HTML Help (.chm), które
stały się dominującym medium dla elektronicznej dokumentacji
udostępnianej przez Microsoft w ostatnim czasie, zastępując poprzednio
używane pliki .hlp.

%package devel
Summary:	chmlib header files
Summary(pl.UTF-8):	Pliki nagłówkowe chmlib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files needed for building programs that use chmlib.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do tworzenia programów z użyciem chmlib.

%package static
Summary:	chmlib static library
Summary(pl.UTF-8):	Biblioteka statyczna chmlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of chmlib.

%description static -l pl.UTF-8
Statyczna wersja chmlib.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%configure \
	--enable-examples

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libchm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchm.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libchm.so
%{_libdir}/libchm.la
%{_includedir}/chm_lib.h
%{_includedir}/lzx.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libchm.a
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/chmlib.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 3013071
- x32 rebuild
- release 3 (by relup.sh)

* Mon Jan 20 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2288206
- ghost soname symlink
- rel 2

* Sun Nov 08 2009 Adam Gołębiowski <adamg@pld-linux.org> 84d3711
- updated to 0.40

* Sun Apr 29 2007 Jakub Bogusz <qboosh@pld-linux.org> 39376b0
- release 1

* Fri Apr 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 2b3c2eb
- CVE reference for 0.39

* Fri Mar 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 7d866c2
- fixed examples build
- package lzx.h

* Wed Feb 28 2007 spider <spider@pld-linux.org> d7b5714
- proper url
- proper source
- up to 0.39
[fixes CVE-2006-3178]

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1c19a44
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 18a507d
- converted to UTF-8

* Mon Apr 03 2006 Marcin Banasiak <marcin.banasiak@gmail.com> d620ecd
- release 2 for Th

* Sun Oct 30 2005 Jakub Bogusz <qboosh@pld-linux.org> 8c348a6
- updated to 0.37.4, removed obsolete LIBDIR patch
- more verbose files, added NEWS to doc

* Sun Oct 30 2005 Jakub Bogusz <qboosh@pld-linux.org> 329cf76
- obsolete

* Fri Oct 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 70e64bb
- fixed build without installed chmlib-devel; release 2

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 6896cc7
- updated to 0.37.3 (fixes CAN-2005-3318)
- updated LIBDIR patch

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 29e3014
- old one obsolete; for 0.37 change manual install to libtool --mode=install (and thus unnecessary absolute symlinks into relative)

* Mon Sep 19 2005 djurban <djurban@pld-linux.org> afb37e8
- update to 0.36

* Sat May 28 2005 zbyniu <zbyniu@pld-linux.org> abcede5
- regenerate ac

* Mon Oct 25 2004 paladine <paladine@pld-linux.org> 8d1f713
- "HTML" and "Perl" unification

* Mon Jul 05 2004 Jakub Bogusz <qboosh@pld-linux.org> 137b62d
- updated LIBDIR patch, use autoconf features, release 1

* Mon Jul 05 2004 Jakub Bogusz <qboosh@pld-linux.org> e534a5c
- use autoconf features, patch proper file

